{% assign no_image = '-no-image' %}
{% assign no_description = '-no-description' %}

{% if tag_medidas.image_url != blank %}
  {% assign no_image = '' %}
{% endif %}

{% if tag_medidas.description != blank %}
  {% assign no_description = '' %}
{% endif %}

<div class="popup-guia-medidas popup" data-popup="guia-de-medidas" data-size-popup>
  <div class="background" data-action="toggle-popup"></div>
  <div class="popup-wrapper {{ no_image }} {{ no_description }}">
    <button aria-label="Fechar guia de medidas" class="close" data-action="toggle-popup" data-popup="guia-de-medidas"></button>
    <div class="content {{ no_image }} {{ no_description }}">
      {% if no_image == '' %}
        <div class="image">
          {% capture data_srcset %}
            {{ tag_medidas.image_url | resize: '340x' }}
            340w,
            {{ tag_medidas.image_url | resize: '390x' }}
            390w,
            {{ tag_medidas.image_url | resize: '460x' }}
            460w,
            {{ tag_medidas.image_url | resize: '500x' }}
            500w
          {% endcapture %}

          {% capture data_sizes %}
            (max-width: 375px) 340px,
            (max-width: 425px) 390px,
            (max-width: 991px) 500px,
            (max-width: 1280px) 460px,
            (min-width: 1400px) 500px,
          {% endcapture %}

          <img class="lazy" loading="lazy" data-srcset="{{ data_srcset | strip_newlines | strip }}" data-sizes="{{ data_sizes | strip_newlines | strip }}" alt="Guia de medidas"/>
        </div>
      {% endif %}
      {% if no_description == '' %}
        <div class="text">
          <div class="text-wrapper">
            {{ tag_medidas.description | replace: '<table', '<div class="table-responsive"><table class="table table-bordered"' | replace: '</table>', '</table></div>' | replace: '<h2', '<h2 class="title"' }}
          </div>
        </div>
      {% endif %}
    </div>
  </div>
</div>
